[CmdletBinding()]param()

$(docker network ls -q) |
    ForEach-Object {
        $local:tmpObj = docker inspect $_ | ConvertFrom-Json |
            Select-Object *,@{L='Subnet';E={$_.IPAM.Config[0].Subnet}}

        $tmpObj.PSObject.TypeNames.Insert(0,"DockerNetworksOutput")
        $tmpObj
    } # | Format-Table @{E='Id';W=12},Name,Driver,Scope,Subnet


